package com.bureau.behavioralbiometrics

import android.view.View

data class Event(
    var activityName: String?,
    var action: String?,
    var targetView: View?,
    var x: Double?,
    var y: Double?,
    var pressure: Float?,
    var time: String?,
    var downTime: Long?
) {
    override fun toString(): String {
        return "Event{activityName='" + activityName + '\'' + ", action='" + action + '\'' + ", targetView=" + targetView + ", x=" + x + ", y=" + y + ", pressure=" + pressure + ", time=" + time + ", downTime=" + downTime + '}'
    }
}
