package com.bureau.behavioralbiometrics.data.remote

import com.bureau.behavioralbiometrics.data.remote.models.RegisterSubSessionRequestApiModel
import retrofit2.Response
import retrofit2.http.Body
import retrofit2.http.Header
import retrofit2.http.POST

interface NetworkService {
    @POST("v1/deviceService/behaviour/subSession")
    suspend fun registerSubSession(
        @Body deviceData: RegisterSubSessionRequestApiModel,
        @Header("X-Bureau-Auth-Credential-ID") credId: String
    ): Response<Void>
}
