package com.bureau.behavioralbiometrics.di

import android.app.Activity
import android.view.Window
import androidx.core.view.GestureDetectorCompat
import com.bureau.behavioralbiometrics.touchtypedata.TouchTypeDetector
import dagger.Module
import dagger.Provides

@Module
class BBActivityModule {
    @Provides
    fun windowCallback(activity: Activity): Window.Callback = activity.window.callback

    @Provides
    fun gestureDetector(activity: Activity, touchTypeDetector: TouchTypeDetector): GestureDetectorCompat = GestureDetectorCompat(activity, touchTypeDetector)
}
