package com.bureau.behavioralbiometrics.frameratecollection

import java.util.concurrent.TimeUnit

data class FPSConfig(
    val refreshRate: Float = 60f,
    val deviceRefreshRateInMs: Float = 16.6f,
    val sampleTimeInMs: Long = 500
) {
    val sampleTimeInNs: Long
        get() = TimeUnit.NANOSECONDS.convert(sampleTimeInMs, TimeUnit.MILLISECONDS)
}
