package com.bureau.behavioralbiometrics.di

import android.app.Activity
import com.bureau.behavioralbiometrics.WindowCallback
import dagger.BindsInstance
import dagger.Subcomponent
import dagger.android.AndroidInjector

@BBActivityScope
@Subcomponent(modules = [BBActivityModule::class])
interface BBActivityComponent : AndroidInjector<WindowCallback> {
    @Subcomponent.Factory
    interface Factory {
        fun create(@BindsInstance activity: Activity): BBActivityComponent
    }
}
