package com.bureau.behavioralbiometrics.models

import com.bureau.behavioralbiometrics.applifecycleevents.models.AppLifecycleEventLocal
import com.bureau.behavioralbiometrics.focuschangedata.models.FocusChangeDataLocal
import com.bureau.behavioralbiometrics.frameratecollection.models.FrameRateEventLocal
import com.bureau.behavioralbiometrics.keypressTypedata.models.InputChangeEventLocal
import com.bureau.behavioralbiometrics.keypressTypedata.models.KeyPressEventLocal
import com.bureau.behavioralbiometrics.sensordata.models.AccelerometerDataLocal
import com.bureau.behavioralbiometrics.sensordata.models.GyroscopeDataLocal
import com.bureau.behavioralbiometrics.touchtypedata.models.TouchTypeDataLocal
import com.bureau.behavioralbiometrics.touchtypedata.models.ViewPortScrollDataLocal

data class BundleLocal(
    val appLifeCycleEvents: List<AppLifecycleEventLocal>,
    val touchTypeData: List<TouchTypeDataLocal>,
    val keyPressEvents: List<KeyPressEventLocal>,
    val inputChangeEvents: List<InputChangeEventLocal>,
    val focusChangeData: List<FocusChangeDataLocal>,
    val viewPortScrollData: List<ViewPortScrollDataLocal>,
    val frameRateEvents: List<FrameRateEventLocal>,
    val accelerometerDataLocal: List<AccelerometerDataLocal>,
    val gyroscopeDataLocal: List<GyroscopeDataLocal>
)
