package com.bureau.behavioralbiometrics.utils

import android.view.View
import com.bureau.behavioralbiometrics.models.TargetElement

object ViewUtils {
    fun getId(view: View): String {
        return if (view.id == View.NO_ID) "no-id" else view.resources.getResourceName(view.id)
    }

    fun getType(view: View): String = view.javaClass.name

    fun getTarget(targetElement: TargetElement): String = "${targetElement.targetId},${targetElement.targetType}"
}
